Class List Method List File List

# Module: Haml

Defined in:
  lib/haml.rb,
  lib/haml/util.rb,
  lib/haml/exec.rb,
  lib/haml/error.rb,
  lib/haml/engine.rb,
  lib/haml/buffer.rb,
  lib/haml/parser.rb,
  lib/haml/helpers.rb,
  lib/haml/version.rb,
  lib/haml/options.rb,
  lib/haml/filters.rb,
  lib/haml/template.rb,
  lib/haml/compiler.rb,
  lib/haml/template/options.rb,
  lib/haml/sass_rails_filter.rb,
  lib/haml/helpers/safe_erubis_template.rb,
  lib/haml/helpers/action_view_extensions.rb

## Overview

We keep options in its own self-contained file so that we can load it independently in Rails 3, where the full template stuff is lazy-loaded.

## Defined Under Namespace

Modules: Exec, Filters, Helpers, Template, Util Classes: Buffer, Compiler, Engine, Error, ErubisTemplateHandler, Options, Parser, SafeErubisTemplate, SyntaxError

## Constant Summary

## Class Method Summary (collapse)

- + init_rails(*args)

## Class Method Details

### + init_rails(*args)

    14
    15
    16
    17

    # File 'lib/haml.rb', line 14

    def self.init_rails(*args)
      # Maintain this as a no-op for any libraries that may be depending on the
      # previous definition here.
    end